Get wallet address mapping
curl --request GET \
--url https://api.orbscan.com/v1/trader/wallet-address/{address} \
--header 'Authorization: <api-key>'import requests
url = "https://api.orbscan.com/v1/trader/wallet-address/{address}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.orbscan.com/v1/trader/wallet-address/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "OK",
"status_code": "1",
"data": {
"walletAddress": "0x9319a045cdd0c2180e5eb7ad44374383db9a6410"
}
}{
"message": "Missing or invalid API key",
"status_code": "0",
"data": null
}Endpoints
Get Wallet Address
Resolves a wallet address to its canonical Polymarket proxy address. Useful for normalising addresses before querying other endpoints.
GET
/
v1
/
trader
/
wallet-address
/
{address}
Get wallet address mapping
Authorizations
Pass your Orbscan API key as a Bearer token, formatted as Bearer <your_api_key>.
Path Parameters
Signer / trader address, 0x + 40 hex chars.
Example:
"0x9319a045cdd0c2180e5eb7ad44374383db9a6410"
⌘I